karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Commented] (KARAF-2726) Openjpa feature installs wrong jpa spec bundle
Date Thu, 23 Jan 2014 17:26:41 GMT

    [ https://issues.apache.org/jira/browse/KARAF-2726?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13880103#comment-13880103
] 

Jean-Baptiste Onofré commented on KARAF-2726:
---------------------------------------------

By the way, your commit doesn't look correct to me. Regarding the diff, you did:

{code}
-        <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
+        <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
{code}

But the geronimo-jpa bundle was already in the feature and it's now in double as you can see:

{code}
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-servlet_2.5_spec/1.2</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-el_1.0_spec/1.0.1</bundle>
-        <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
+        <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
{code}

So you removed jta (not jpa) bundles.

Let me revert your change to investigate deeper (if jta bundle can cause issue).

> Openjpa feature installs wrong jpa spec bundle
> ----------------------------------------------
>
>                 Key: KARAF-2726
>                 URL: https://issues.apache.org/jira/browse/KARAF-2726
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 3.0.0
>            Reporter: Christian Schneider
>            Assignee: Christian Schneider
>             Fix For: 3.0.1
>
>
> The openjpa feature installs:
> <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
> We should install this though:
> <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message